Commits

stretchedthin committed f007f50

cinelerra-cv

  • Participants
  • Parent commits 91e9e32
  • Branches veclinux-7.0

Comments (0)

Files changed (10)

File var/vabs/cinelerra-cv/src/Fix_POTFILES.patch

+diff -rupN POTFILES.in.orig POTFILES.in.diff > Fix_POTFILES.patch
+--- POTFILES.in.orig//po/POTFILES.in	2010-08-03 20:48:09.603076845 -0300
++++ POTFILES.in.diff//po/POTFILES.in	2010-08-03 21:32:27.439507572 -0300
+@@ -20,7 +20,7 @@ cinelerra/channeledit.C
+ cinelerra/channelpicker.C
+ cinelerra/clipedit.C
+ # cinelerra/compresspopup.C
+-cinelerra/confirmquit.C
++# cinelerra/confirmquit.C
+ cinelerra/confirmsave.C
+ cinelerra/cpanel.C
+ # cinelerra/cropvideo.C
+@@ -56,7 +56,7 @@ cinelerra/indexfile.C
+ cinelerra/indexthread.C
+ cinelerra/interfaceprefs.C
+ cinelerra/keyframepopup.C
+-cinelerra/labelnavigate.C
++# cinelerra/labelnavigate.C
+ cinelerra/loadfile.C
+ cinelerra/loadmode.C
+ cinelerra/main.C
+@@ -65,7 +65,7 @@ cinelerra/mainmenu.C
+ cinelerra/mainprogress.C
+ cinelerra/manualgoto.C
+ cinelerra/menueffects.C
+-cinelerra/messages.C
++# cinelerra/messages.C
+ cinelerra/meterpanel.C
+ cinelerra/mwindow.C
+ cinelerra/mwindowedit.C
+@@ -95,7 +95,7 @@ cinelerra/recordmonitor.C
+ cinelerra/recordprefs.C
+ cinelerra/recordtransport.C
+ cinelerra/recordvideo.C
+-cinelerra/recordwindow.C
++# cinelerra/recordwindow.C
+ # cinelerra/reindex.C
+ cinelerra/render.C
+ cinelerra/renderfarm.C
+@@ -109,7 +109,7 @@ cinelerra/setformat.C
+ cinelerra/sharedlocation.C
+ cinelerra/splashgui.C
+ cinelerra/statusbar.C
+-cinelerra/threadindexer.C
++# cinelerra/threadindexer.C
+ cinelerra/tipwindow.C
+ # cinelerra/toggleauto.C
+ cinelerra/trackcanvas.C

File var/vabs/cinelerra-cv/src/README

+Cinelerra is the most advanced non-linear video editor and compositor
+for Linux.   It does primarily 3 main things: capturing, compositing,
+and editing audio and video with sample level accuracy. 
+
+This is a development version maintained by Einar Rünkaru:
+  http://git.cinelerra.org/gitweb?p=einar/cinelerra.git;a=summary
+This build script uses a git snapshot that was downloaded and hosted
+by the script maintainer.
+
+This requires a52dec, libsndfile, imlib2, libdv, faac, faad2, ffmpeg,
+x264, lame, libavc1394, libiec61883, and mjpegtools. 

File var/vabs/cinelerra-cv/src/cinelerra-cv.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .tlz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.12.2, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="cinelerra-cv"            #Enter package Name!
+VERSION=${VERSION:-"2.2"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK=${LINK:-"git clone git://git.cinelerra.org/CinelerraCV.git"}  #Enter URL for package here!
+#Note this link 
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"2"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-"frei0r => 20100124-i586-1vl70, libquicktime >= 1.1.5-i586-1vl70"} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-"frei0r libquicktime mjpegtools x264 ffmpeg"}
+#----------------------------------------------------------------------------
+
+
+git clone git://git.cinelerra.org/CinelerraCV.git $NAME
+mv ./$NAME ./$NAME-$VERSION
+tar -c ./$NAME-$VERSION/ | bzip2 -9 > ./$NAME-$VERSION.tar.bz2
+rm -r ./$NAME ./$NAME-$VERSION
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-vlocity-linux"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget -c $SRC
+fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/$NAME-$VERSION.tar.* || exit 1
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+# Put any Patches here
+#-----------------------------------------------------
+#patch -p1 <
+#patch -p1 < $CWD/Fix_POTFILES.patch
+# Fix build with libx264 version 76 and later.
+#patch -p1 < $CWD/x264_76.patch
+#-----------------------------------------------------
+
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --with-plugindir=/usr/lib${LIBDIRSUFFIX}/cinelerra \
+  --disable-static \
+  --mandir=/usr/man \
+  --with-pic \
+  --enable-mmx \
+  --with-x \
+  --enable-opengl \
+  --with-buildinfo=git_cv_einar_$VERSION \
+  --build=$CONFIGURE_TRIPLET \
+  $CONFIG_OPTIONS || exit 1
+
+ 
+
+make
+make install DESTDIR=$PKG
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README* TODO \
+$PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+rm -rf $PKG/usr/lib/pkgconfig
+  rm -rf $PKG/usr/include/libav{codec,device,format,util}
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ] ; then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ] ; then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+mkdir -p $PKG/etc
+cat $CWD/sysctl.conf > $PKG/etc/sysctl.conf
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+#if there is a slack-desc in src dir use it
+#if test -f $CWD/slack-desc; then
+#cp $CWD/slack-desc $RELEASEDIR/slack-desc
+#else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (GNU/Linux Video/Audio Studio)
+$NAME: Cinelerra is the most  advanced non-linear video editor
+$NAME: and compositor for Linux.  It does primarily three main
+$NAME: things:  capturing, compositing, and  editing audio and
+$NAME: video with sample level accuracy.
+$NAME:
+$NAME:
+$NAME: License: GPLv2
+$NAME: Authors: see /usr/doc/cinelerra-cv_einar_cf708d7f/AUTHORS
+$NAME: Website: Home Page: http://cinelerra.org/
+
+EOF
+#fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\.\/configure\ /" $TMP/$NAME-$VERSION/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

File var/vabs/cinelerra-cv/src/cinelerra.info

+PRGNAM="cinelerra"
+VERSION="cv_einar_cf708d7f"
+HOMEPAGE="http://cinelerra.org/"
+DOWNLOAD="http://www.ginoepri.com/linux/cinelerra-cv_einar_cf708d7f.tar.gz"
+MD5SUM="a920c2c58f6d0d60d3309f156f0bf072"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Giovanne Castro"
+EMAIL="giovannefc@ig.com.br"
+APPROVED="dsomero"

File var/vabs/cinelerra-cv/src/doinst.sh

+if [ -x /usr/bin/update-desktop-database ]; then
+  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+  if [ -x /usr/bin/gtk-update-icon-cache ]; then
+    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+  fi
+fi
+echo "0x7fffffff" > /proc/sys/kernel/shmmax

File var/vabs/cinelerra-cv/src/shapewipe-libpng14.patch

+diff -rupN cinelerra.orig//plugins/shapewipe/shapewipe.C cinelerra.diff//plugins/shapewipe/shapewipe.C
+--- cinelerra.orig//plugins/shapewipe/shapewipe.C	2010-05-24 15:51:53.363190632 -0400
++++ cinelerra.diff//plugins/shapewipe/shapewipe.C	2010-05-24 15:56:04.243457280 -0400
+@@ -385,7 +385,7 @@ int ShapeWipeMain::read_pattern_image(in
+ 		goto erret;
+ 
+ 	png_ptr = png_create_read_struct(PNG_LIBPNG_VER_STRING,
+-		png_voidp_NULL, png_error_ptr_NULL, png_error_ptr_NULL);
++		NULL, NULL, NULL);
+ 
+ 	if (!png_ptr)
+ 		goto erret;
+@@ -396,14 +396,14 @@ int ShapeWipeMain::read_pattern_image(in
+ 	info_ptr = png_create_info_struct(png_ptr);
+ 	if (!info_ptr)
+ 	{
+-		png_destroy_read_struct(&png_ptr, png_infopp_NULL, png_infopp_NULL);
++		png_destroy_read_struct(&png_ptr, NULL, NULL);
+ 		goto erret;
+ 	}
+ 
+ 	end_info = png_create_info_struct(png_ptr);
+ 	if (!end_info)
+ 	{
+-		png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
++		png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ erret:
+ 		fclose(fp);
+ 		return 1;

File var/vabs/cinelerra-cv/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+         |-----handy-ruler----------------------------------------------------|
+cinelerra: cinelerra (GNU/Linux Video/Audio Studio)
+cinelerra:
+cinelerra: Cinelerra is the most  advanced non-linear video editor
+cinelerra: and compositor for Linux.  It does primarily three main
+cinelerra: things:  capturing, compositing, and  editing audio and 
+cinelerra: video with sample level accuracy.
+cinelerra:
+cinelerra: Home Page: http://cinelerra.org/
+cinelerra:
+cinelerra:
+cinelerra:

File var/vabs/cinelerra-cv/src/slack-required

+libquicktime >= 1.1.5-i586-1vl70
+mjpegtools >= 1.9.0-i586-1vl70
+a52dec >= 0.7.4-i586-3vl70
+libsndfile >= 1.0.21-i586-1vl70
+libdv >= 1.0.0-i586-4vl70
+faac >= 1.28-i586-3vl70
+faad2 >= 2.7-i586-4vl70
+ffmpeg >= r23514-i586-1vl70
+x264 >= 20100518-i586-1vl70
+lame >= 3.98.4-i586-1vl70
+libavc1394 >= 0.5.3-i586-6vl70
+mjpegtools >= 1.9.0-i586-1vl70
+imlib2 >= 1.4.4-i586-1vl70
+libiec61883 >= 1.2.0-i586-1vl70
+openexr >= 1.6.1-i586-1vl70
+ilmbase >= 1.0.1-i586-1vl70

File var/vabs/cinelerra-cv/src/sysctl.conf

+kernel/shmmax=0x7fffffff

File var/vabs/cinelerra-cv/src/x264_76.patch

+Index: cinelerra-20090210/quicktime/qth264.c
+===================================================================
+--- cinelerra-20090210.orig/quicktime/qth264.c
++++ cinelerra-20090210/quicktime/qth264.c
+@@ -239,10 +239,15 @@ static int encode(quicktime_t *file, uns
+ 	codec->buffer_size = 0;
+ 	for(i = 0; i < nnal; i++)
+ 	{
++#if X264_BUILD >= 76
++		int size = nals[i].i_payload;
++		memcpy(codec->work_buffer + codec->buffer_size, nals[i].p_payload, nals[i].i_payload);
++#else
+ 		int size = x264_nal_encode(codec->work_buffer + codec->buffer_size, 
+ 			&allocation, 
+ 			1, 
+ 			nals + i);
++#endif
+ 		unsigned char *ptr = codec->work_buffer + codec->buffer_size;
+ 
+ 		if(size > 0)